/*****************************************************************************/
/* Begin system #includes */

#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <errno.h>
#include <gtk/gtk.h>
#include <string.h>
#include <stdlib.h>
#include <signal.h>
#include <sys/types.h>
#include <sys/asoundlib.h>

/* End system #includes */
/*****************************************************************************/

/*****************************************************************************/
/* Begin program #includes */

#include "structs.h"
#include "util.h"
#include "xamixer.h"
#include "cinit.h"
#include "callbacks.h"
#include "display.h"
#include "config.h"

/* End program #includes */
/*****************************************************************************/

/*****************************************************************************/
/* Begin #defines */

#define CHANNEL_LEFT                  (1 << 0)
#define CHANNEL_RIGHT                 (1 << 1)
#define CHANNEL_MONO                  (1 << 2)
#define CHANNEL_MUTE_RIGHT            (1 << 3)
#define CHANNEL_MUTE_LEFT             (1 << 4)
#define CHANNEL_MUTE_MONO             (1 << 5)
#define CHANNEL_RECORD                (1 << 6)
#define CHANNEL_RECORD_RIGHT          (1 << 7)
#define CHANNEL_RECORD_LEFT           (1 << 8)
#define CHANNEL_SIMULTANEOUS          (1 << 9)
#define CONFIG_MUTE_XPM               (1 << 10)
#define CONFIG_UNMUTE_XPM             (1 << 11)
#define CONFIG_REC_XPM                (1 << 12)
#define CONFIG_UNREC_XPM              (1 << 13)
#define CONFIG_SIMUL_XPM              (1 << 14)
#define CONFIG_UNSIMUL_XPM            (1 << 15)
#define CONFIG_SHOW_CARD_NAME         (1 << 16)
#define CONFIG_SHOW_MIXER_NUMBER      (1 << 17)
#define CONFIG_SHOW_MIXER_NAME        (1 << 18)

/* End #defines */
/*****************************************************************************/











